LibreOffice: XConfigurationControllerBroadcaster Interface Reference

LibreOffice LibreOffice 24.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XConfigurationControllerBroadcaster Interface Reference

Manage the set of registered event listeners and the event notification for a configuration controller. More...

`import "XConfigurationControllerBroadcaster.idl";`

Inheritance diagram for XConfigurationControllerBroadcaster:

## Public Member Functions
void | addConfigurationChangeListener ([in] XConfigurationChangeListener xListener, [in] string sEventType, [in] any aUserData)
| Add a new listener for configuration changes.
void | removeConfigurationChangeListener ([in] XConfigurationChangeListener xListener)
| Remove a listener for configuration changes.
void | notifyEvent ([in] ConfigurationChangeEvent aEvent)
| With this method other objects can send events to all the registered listeners.

## Detailed Description

Manage the set of registered event listeners and the event notification for a configuration controller.

The listeners are called in the order in which they are registered.

## Member Function Documentation

## ◆ addConfigurationChangeListener()

void addConfigurationChangeListener | ( | [in] XConfigurationChangeListener | xListener,
|  | [in] string | sEventType,
|  | [in] any | aUserData )

Add a new listener for configuration changes.

The listener is notified only for the specified type of configuration changes. When the listener is interested in more than one event type this method has to be called multiple times. Alternatively it can register as universal listener that will be called for all event types. However, this option is provided primarily to support debugging and monitoring.

Parameters

  xListener | The new listener.
  sEventType | The event type that the listener is interested in. The set of event types is not fixed and there can be no exhaustive list. The empty string is a special value in that the listener will be called for all types of event.
  aUserData | Arbitrary data that is passed to the listener when it is called for the specified event type. When one listener is registered for more than one event type then different user data objects may be given as well. Supplying unique integer values allows the listener to use a switch statement to distinguish between the different event types.

## ◆ notifyEvent()

void notifyEvent | ( | [in] ConfigurationChangeEvent | aEvent | ) |

With this method other objects can send events to all the registered listeners.

## ◆ removeConfigurationChangeListener()

void removeConfigurationChangeListener | ( | [in] XConfigurationChangeListener | xListener | ) |

Remove a listener for configuration changes.

Parameters

  xListener | The listener that is to be removed.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XConfigurationControllerBroadcaster.idl